<template>
<section class="applicationHomeContainerRT">
    <section class="appHomeTop">
            <homeWelcome></homeWelcome>
    </section>
    <section class="appHomeContent">
        <section class="appHomeContentLeft">           
            <!-- <div class="CLbox_M">
                <homeGT></homeGT>
            </div>
            <div class="CLbox_M">
                <homemeet></homemeet>
            </div> -->
            <div class="CLbox_B">
                 <homeAllApp></homeAllApp>
            </div>
        </section>
        <section class="appHomeContentRight">
            <div class="CRbox_T">
                 <homeDuty></homeDuty>
            </div>
            <div class="CRbox_T">
                 <homeCalendarBox></homeCalendarBox>
            </div>
            <div class="CRbox_T">
                <homeInfo></homeInfo>
            </div> 
             <div class="CRbox_T">
                <homePatrol></homePatrol>
            </div>     
        </section>
    </section>
</section>
</template>
<script>
import homeWelcome from './homeWelcome'
import homeAdvert from './homeAdvert'
import homeToAlert from './homeToAlert'
import homeMyused from './homeMyused'
import homeAllApp from './homeAllApp'
import homeManageCockPit from './homeManageCockPit'
import homeSecCockPit from './homeSecCockPit'
import homeCalendarBox from './homeCalendarBox'
import homeGT from './homeGT' //挂图作战
import homemeet from './homemeet' //信息化会议
import homeDuty from './homeDuty' //7x24小时值班
import homeInfo from './homeInfo'//信息化专职人员
import homePatrol from './homePatrol' //系统日程巡查

export default {
    data(){
        return{
           topRightbannerArr:[]
        }
    },
    mounted() {
        console.log(this)
    },
    components:{
        homeWelcome,
        homeAdvert,
        homeToAlert,
        homeMyused,
        homeAllApp,
        homeManageCockPit,
        homeSecCockPit,
        homeCalendarBox,
        homeGT,
        homemeet,
        homeDuty,
        homeInfo,
        homePatrol
    }
}
</script>
<style lang="scss" scoped>
.commBoxBg{
     background: #FFFFFF;
     box-shadow: 0px 2px 6px -4px rgba(0, 0, 0, 0.12), 0px 0px 16px 0px rgba(0, 0, 0, 0.08);
     border-radius: 8px;
}
.applicationHomeContainerRT{
    margin: 25px 25px 0 25px;
    box-sizing: border-box;
    display:flex;
    flex-direction: column;
    .appHomeTop{
      display: flex;width: 100%; 
      justify-content: space-between;   
      margin-bottom: 24px;  
      .topLeft{
          @extend .commBoxBg;
          height: 115px;
          width:calc(100% - 542px);
          min-width: 800px;
      }
      .topRight{
          @extend .commBoxBg;
          width: 518px;
          height: 115px;
      }
    }
    .appHomeContent{
        display: flex;width: 100%;
        justify-content: space-between; 
        .appHomeContentLeft{
            display: flex;
            flex-direction: column;
            width: calc(100% - 423px);
            .CLbox_T{               
            }
            .CLbox_M{
                @extend .commBoxBg;
                margin-bottom: 24px;
            }
            .CLbox_B{
                @extend .commBoxBg;
                margin-bottom: 24px;
            }
        }
        .appHomeContentRight{
            display: flex;
            flex-direction: column;
            width: 400px;
            .CRbox_T{
                @extend .commBoxBg;
                margin-bottom: 24px;
            }
            .CRbox_M{
                // @extend .commBoxBg;
                margin-bottom: 24px;
            }
            .CRbox_B{
                // @extend .commBoxBg;
                margin-bottom: 24px;
            }
        }       
    }
}
</style>
<style lang="scss">
.homeGT{
    .el-table .cell.el-tooltip{white-space: nowrap!important;}     
}  
</style>